/* RXETI1.CMD  */
/*******************************************************************/
/*                                                                 */
/* MODULE NAME      RXETI1.CMD                                     */
/*                                                                 */
/* DESCRIPTIVE NAME Demonstrates RxETI                             */
/*                                                                 */
/* Statement:       Licensed Materials - Property of IBM           */
/*                                                                 */
/*                  CA31 SupportPac                                */
/*                  (c) Copyright IBM Corp. 1994.                  */
/*                                                                 */
/*                  See Copyright Instructions.                    */
/*                                                                 */
/*                  All rights reserved.                           */
/*                                                                 */
/*                  U.S. Government Users Restricted Rights - use, */
/*                  duplication or disclosure restricted by GSA    */
/*                  ADP Schedule Contract with IBM Corp.           */
/*                                                                 */
/* Status:          Version 1 Release 1                            */
/* Modified         27th May 1994                                  */              
/*                  DEBUG option included                          */ 
/*                                                                 */
/*  NOTES :-                                                       */
/*    DEPENDENCIES = OS/2 V2.x,CICS OS/2, RxETI                    */
/*                   None                                          */
/*    RESTRICTIONS = none                                          */
/*    MODULE TYPE  = Command file                                  */
/*    PROCESSOR    = PS/2 and PC                                   */
/*                                                                 */
/*******************************************************************/
/*                                                                 */
/* This program demonstrates starting a CESN transanction on a     */
/* terminal via RxETI. Hit PF3 and enter EXIT on the terminal to   */
/* finish test program. DEBUG option set.                          */
/*                                                                 */
/*******************************************************************/
/* add the ETI functionality as external function */

If rxfuncquery('RxETILoad') Then Do
    call RxFuncAdd 'RxETILoad', 'RXETI', 'RxETILoad'
    call RxETILoad
    Say 'RxETILoad is complete.'
    end
DEBUG=5
DEBUGFILE="rxeti.log"

ETI.transid = "CESN"
rc = show_eti_stem()
rc = RXETI('ETI.')
say rc
rc = check_rc(rc)
rc = show_eti_stem()
Call RxETIDrop
Say 'The functions have now been dropped.'

return 0

/*****************************************************************/
/*                 Some utility functions                        */
/*****************************************************************/

check_rc: procedure
arg rc

  msgfile = "rxeti.msg"

  do until lines(msgfile) = 0
     line = linein(msgfile)
     parse var line returncode message
     if rc = returncode then say message
     end
  rc = lineout(msgfile)
return(0)

show_eti_stem: procedure  expose ETI.

say "Contents of ETI stem:"
say "      transid           : " ETI.transid
say "      termid            : " ETI.termid
say "      partner_lu_name   : " ETI.partner_lu_name
say "      userid            : " ETI.userid
say "      password          : " ETI.password
say "      usage             : " ETI.usage
say "      return            : " ETI.return
return(0)

